/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.55.130 wanyoucloudserver
 Source Server Type    : SQLite
 Source Server Version : 3
 Source Schema         : main

 Target Server Type    : SQLite
 Target Server Version : 3
 File Encoding         : 65001

 Date: 22/07/2022 14:04:59
*/

PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for config
-- ----------------------------
DROP TABLE IF EXISTS "config";
CREATE TABLE IF NOT EXISTS "config" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "name" TEXT NOT NULL DEFAULT '',
  "value" TEXT NOT NULL DEFAULT '',
  "created" INT DEFAULT 0,
  "updated" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for decompression
-- ----------------------------
DROP TABLE IF EXISTS "decompression";
CREATE TABLE IF NOT EXISTS "decompression" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "name_list" TEXT NOT NULL DEFAULT '',
  "title" TEXT DEFAULT '',
  "path" TEXT DEFAULT '',
  "file_size" INT DEFAULT 0,
  "size" INT DEFAULT 0,
  "file_type" INT DEFAULT 1, --1 tar 2 tgz 3 tbz 4 xz 5 zip 6 rar 7 7z
  "type" INT DEFAULT 1, --1压缩 2解压
  "extract_type" INT DEFAULT 1, --1 解压至选择目录/当前目录 2解压至文件同名目录
  "user_id" INT NOT NULL,
  "status" INT NOT NULL DEFAULT 0, --0 等待中，1 成功，-1 失败, 2 压缩中, 3 解压中
  "progress" INT DEFAULT 0,
  "created" INT DEFAULT 0,
  "updated" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for favorites
-- ----------------------------
DROP TABLE IF EXISTS "favorites";
CREATE TABLE IF NOT EXISTS "favorites" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "node_path" TEXT NOT NULL DEFAULT '',
  "title" TEXT DEFAULT '',
  "is_dir" INT DEFAULT 0,
  "node_type" INT DEFAULT 0,
  "user_id" INT NOT NULL,
  "status" INT NOT NULL DEFAULT 1,
  "created" INT DEFAULT 0,
  "updated" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for message
-- ----------------------------
DROP TABLE IF EXISTS "message";
CREATE TABLE IF NOT EXISTS "message" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "user_id" INT DEFAULT 0,
  "node_id" INT DEFAULT 0,
  "node_path" TEXT NOT NULL DEFAULT '',
  "type" INT NOT NULL DEFAULT 0,
  "status" INT NOT NULL DEFAULT 1,
  "title" TEXT NOT NULL DEFAULT '',
  "content" TEXT DEFAULT NULL,
  "created" INT DEFAULT 0,
  "share_user" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for notice
-- ----------------------------
DROP TABLE IF EXISTS "notice";
CREATE TABLE IF NOT EXISTS "notice" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "user_id" INT DEFAULT 0,
  "node_path" TEXT NOT NULL DEFAULT '',
  "type" INT NOT NULL DEFAULT 0,
  "status" INT NOT NULL DEFAULT 1,
  "title" TEXT NOT NULL DEFAULT '',
  "content" TEXT DEFAULT NULL,
  "version" TEXT NOT NULL DEFAULT '',
  "created" INT DEFAULT 0,
  "share_user" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for record_device_pid
-- ----------------------------
DROP TABLE IF EXISTS "record_device_pid";
CREATE TABLE IF NOT EXISTS "record_device_pid" (
  "id" INTEGER,
  "user_id" INT,
  "device_id" TEXT,
  "pid" INT,
  "type" TEXT,
  PRIMARY KEY ("id")
);

-- ----------------------------
-- Table structure for sqlite_sequence
-- ----------------------------
-- DROP TABLE "sqlite_sequence";
-- CREATE TABLE "sqlite_sequence" (
--   "name",
--   "seq"
-- );

PRAGMA foreign_keys = true;
